Package org.eclipse.emf.cdo.security.impl

# Class ResourceFilterImpl.ExactMatcher

java.lang.Object
org.eclipse.emf.cdo.security.impl.ResourceFilterImpl.PathMatcher
org.eclipse.emf.cdo.security.impl.ResourceFilterImpl.ExactMatcher

All Implemented Interfaces:
  `ResourceFilterImpl.Matcher`

Enclosing class:
  ResourceFilterImpl

protected static class ResourceFilterImpl.ExactMatcher extends ResourceFilterImpl.PathMatcher

Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.emf.cdo.security.impl.ResourceFilterImpl.PathMatcher

`path`

## Constructor Summary

Constructors
Constructor
Description
`ExactMatcher(String path)`

## Method Summary

Modifier and Type
Method
Description
`PatternStyle`
`getParentPatternStyle()`
`boolean`
`matches(String revisionPath)`

### Methods inherited from class org.eclipse.emf.cdo.security.impl.ResourceFilterImpl.PathMatcher

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExactMatcher

public ExactMatcher(String path)

## Method Details

### matches

public boolean matches(String revisionPath)

### getParentPatternStyle

public PatternStyle getParentPatternStyle()